Bug 441197 - upgrade current upstream selenium testsuite for bugzilla 3.2
upgrade current upstream selenium testsuite for bugzilla 3.2
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Test (Show other bugs)
3.2
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: Noura El hawary
: FutureFeature
Depends On:
Blocks: 406341 427053
  Show dependency treegraph
 
Reported: 2008-04-07 00:30 EDT by Noura El hawary
Modified: 2013-06-24 00:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-27 00:29:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 427459 None None None Never

  None (edit)
Description Noura El hawary 2008-04-07 00:30:09 EDT
currently upstream has full selenium testsuite written for bugzilla versions up
to 3.0. They need to convert their current one to work with 3.2 but it uses old
selenium tools. We will try to help them convert their test suite to use the
newer  selenium tools for 3.2 similar to what we used in our 2.18
Comment 1 Noura El hawary 2008-04-11 11:41:38 EDT
wrote simple selenium testsuite to give upstream an idea of how our testsuite work. 

got the testsuite to run successfully against firefox2
Comment 2 Noura El hawary 2008-05-27 03:05:17 EDT
status:

started working on this bug, found a way to convert the upstream custom
functions in java script to perl code, converted about 7 testcases of the
upstream please use the following url to track down those test cases:

http://landfill.bugzilla.org/bugzillaqa/buglist.cgi?query_format=advanced&short_desc_type=allwordssubstr&short_desc=&product=QA+tests&component=Selenium+scripts&version=3.2&long_desc_type=allwordssubstr&long_desc=&bug_file_loc_type=allwordssubstr&bug_file_loc=&status_whiteboard_type=allwordssubstr&status_whiteboard=&emailassigned_to1=1&emailtype1=substring&email1=nelhawar%40redhat.com&emailassigned_to2=1&emailreporter2=1&emailqa_contact2=1&emailcc2=1&emailtype2=substring&email2=&bugidtype=include&bug_id=&chfieldfrom=&chfieldto=Now&chfieldvalue=&cmdtype=doit&order=Reuse+same+sort+as+last+time&field0-0-0=noop&type0-0-0=noop&value0-0-0=

I think it is going to take longer than i expected as i didn't notice that each
test case is pretty big , some of them are 300 LOCs, besides all the thinking
that  i need to do to work around the custom functions, but it is doable.

time estimate to finish the entire testsuite would be another 10 days.

Noura
Comment 3 Frédéric Buclin 2008-06-08 19:38:55 EDT
No hurry ;)
Comment 5 David Lawrence 2008-07-30 23:52:28 EDT
Removing these from the Bugzilla 3 upgrade tracker as these are ongoing and will
be finished after the upgrade.

Note You need to log in before you can comment on or make changes to this bug.